#
# ident "@(#)sunray-d.def	1.6 04/06/08 SMI"
#
# Copyright 2000-2002,2004 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#

type = reference

srServices = {
    srServicesTable = {
	srServicesEntry = {
	    srServiceOperStatus = {
		alarmSeverity   = 6
		alarmlimit:error-gt()   = 2
		alarmlimit:warning-gt() = 1
	    }
	    srServiceInstances = {
		alarmSeverity   = 5
		alarmlimit:info-gt() = 1
		alarmlimit:info-gt(dtlogin)  = 3000
		alarmlimit:info-gt(httpd)  = 100
		alarmlimit:info-gt(utauthd)  = 5
		alarmlimit:info-gt(utsessiond)  = 2
		alarmlimit:info-gt(utdevmgrd)  = 2
		alarmlimit:info-gt(utseriald)  = 2
		alarmlimit:info-gt(utparalleld)  = 2
		alarmlimit:info-lt(utsessiond)  = 2
		alarmlimit:info-lt(utdevmgrd)  = 2
		alarmlimit:info-lt(utseriald)  = 2
		alarmlimit:info-lt(utparalleld)  = 2
	    }
	}
    }
}

srFOGroup = {
    srFOGTable = {
	srFOGEntry = {
	    srFOGServerOperStatus = {
		alarmSeverity   = 5
		alarmlimit:warning-gt() = 1
	    }
	}
    }
}

srInterconnect = {
    srDHCPTable = {
	srDHCPEntry = {
	    srDHCPAvailableAddresses = {
		alarmSeverity   = 6
		alarmlimit:warning-lt() = 1
		alarmlimit:info-lt() = 5
	    }
	}
    }
    srIfTable = {
	srIfEntry = {
	    srIfOperStatus = {
		alarmSeverity   = 5
		alarmlimit:warning-gt() = 1
	    }
	}
    }
}
srDesktops = {
    srMonitoredDesktopTable = {
	srMonitoredDesktopEntry = {
	    srMonitoredDesktopOperStatus = {
		alarmSeverity   = 5
		alarmlimit:warning-gt() = 1
	    }
	    srMonitoredDesktopLostPercent = {
		alarmSeverity   = 5
		alarmlimit:warning-gt() = 5
		alarmlimit:info-gt() = 1
	    }
	}
    }
    srExceptionDesktopTable = {
	srExceptionDesktopEntry = {
	    srExceptionDesktopOperStatus = {
		alarmSeverity   = 5
		alarmlimit:warning-gt() = 1
	    }
	    srExceptionDesktopLostPercent = {
		alarmSeverity   = 5
		alarmlimit:warning-gt() = 5
		alarmlimit:info-gt() = 1
	    }
	}
    }
}
